Summary:	GPS data editor and analyzer
Name:		viking
Version:	1.5
Release:	1
License:	GPL v2
Group:		X11/Applications
Source0:	http://downloads.sourceforge.net/viking/%{name}-%{version}.tar.bz2
# Source0-md5:	c322d303b7d1cf3b7a4210466edbf77e
URL:		http://viking.sourceforge.net/
BuildRequires:	curl-devel
BuildRequires:	docbook-dtd412-xml
BuildRequires:	expat-devel
BuildRequires:	gnome-doc-utils
BuildRequires:	gpsd-devel
BuildRequires:	gtk+2-devel >= 2.2.0
BuildRequires:	libxml2-progs
BuildRequires:	libxslt-progs
BuildRequires:	perl-XML-Parser
BuildRequires:	pkgconfig
BuildRequires:	rpm-pythonprov
Requires(post,postun):	gtk-update-icon-cache
Requires(post,postun):	hicolor-icon-theme
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Viking is a free/open source program to manage GPS data. You can
import and plot tracks and waypoints, show Terraserver maps under it,
add coordinate lines, make new tracks and waypoints, hide different
things, etc. It is written in C with the GTK+ 2.

%prep
%setup -q

%build
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} DESTDIR=$RPM_BUILD_ROOT install iconsdir=%{_pixmapsdir}

%find_lang %{name} --with-gnome --with-omf

%check
make test

%post
%update_desktop_database_post
%update_icon_cache hicolor

%postun
%update_desktop_database_postun
%update_icon_cache hicolor

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog COPYING NEWS README TODO 
%attr(755,root,root) %{_bindir}/viking
%{_desktopdir}/viking.desktop
%{_pixmapsdir}/viking.png
%{_datadir}/viking
%changelog
* Wed Nov 27 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/viking.git;a=log;h=master

* Wed Nov 27 2013 Artur Frysiak <artur@frysiak.net> c74b0ab
- Up to 1.5

* Sun Nov 11 2012 Jan Rękorajski <baggins@pld-linux.org> f1f5602
- rebuild with expat 2.1.0
- release 2 (by relup.sh)

* Wed Aug 29 2012 wrobell <wrobell@pld-linux.org> d601855
- removed opencache patch - please send it to authors (it was upgraded
  multiple times in our repo and it is pointless to upgrade it once again)
- general spec cleanup (i.e. gps real-time tracking is back)

* Wed Aug 29 2012 wrobell <wrobell@pld-linux.org> 3c1851b
- ver. 1.3.1

* Wed Nov 09 2011 Jacek Konieczny <jajcus@pld-linux.org> 425b7e8
- -opencaching.patch updated (fixes x86_64 compilation and probably x86 crashes)
- Release: 3

* Mon Nov 07 2011 Jacek Konieczny <jajcus@pld-linux.org> e10f54c
- disable real-time GPS tracking, our GPSd is too new
- Release: 2

* Mon Nov 07 2011 Jacek Konieczny <jajcus@pld-linux.org> d0f3e4b
- Version: 1.2.2

* Tue Sep 27 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> dc13fd7
- release 4

* Fri Feb 04 2011 Artur Frysiak <artur@frysiak.net> ff519c6
- Requires(post,postun): gtk-update-icon-cache

* Fri Jan 28 2011 sparky <sparky@pld-linux.org> 99349b3
- BR: docbook-dtd412-xml, libxml2-progs

* Fri Jul 09 2010 Artur Frysiak <artur@frysiak.net> 89d20fc
- rel. 2

* Sat Jun 12 2010 lmasko <lmasko@pld-linux.org> 9df26ea
- BR: gnome-doc-utils.

* Sat Jun 12 2010 Jacek Konieczny <jajcus@pld-linux.org> e34a4c9
- Version: 0.9.94
- include the help files
- update icon cache
- do not break build in %install

* Fri Dec 04 2009 sparky <sparky@pld-linux.org> b445de4
- BR: gettext-devel, intltool, rpm-pythonprov
- dropped BR: gettext

* Mon Nov 30 2009 Artur Frysiak <artur@frysiak.net> b809932
- updated to 0.9.9

* Sun May 10 2009 Jacek Konieczny <jajcus@pld-linux.org> c87e9ef
- Version: 0.9.8

* Sat Jan 17 2009 duddits <duddits@pld-linux.org> 49ffe2d
- up to 0.9.7
- %files updated (icon name)
- %post/%postun macros used

* Tue Jul 22 2008 Jacek Konieczny <jajcus@pld-linux.org> 14acaec
- opencaching.pl datasource for Viking

* Tue Jul 22 2008 Jacek Konieczny <jajcus@pld-linux.org> f1d8127
- opencaching.pl support added

* Tue Jul 22 2008 Jacek Konieczny <jajcus@pld-linux.org> 387348e
- Version: 0.9.5

